## Function template matches

boost::log::expressions::matches

## Synopsis

    // In header: <boost/log/expressions/predicates/matches.hpp>

    template<typename T, typename RegexT>
      unspecified matches(attribute_name const & name, RegexT const & rex);

## Description

The function generates a terminal node in a template expression. The node will check if the attribute value, which is assumed to be a string, matches the specified regular expression.